"""Configuration for the flask_mqtt_proxy application."""
import os
from werkzeug.security import generate_password_hash

if os.environ.get("ENV") == "DEV":
    from dotenv import load_dotenv

    load_dotenv()

for required in ["HTTP_USER", "HTTP_PASS", "MQTT_HOST", "MQTT_PORT"]:
    if os.environ.get(required) is None:
        raise ValueError(f"{required} is not set")

HTTP_USER = os.environ.get("HTTP_USER")
HTTP_PASS = generate_password_hash(os.environ.get("HTTP_PASS"))
MQTT_HOST = os.environ.get("MQTT_HOST")
MQTT_PORT = int(os.environ.get("MQTT_PORT"))
MQTT_USER = os.environ.get("MQTT_USER")
MQTT_PASS = os.environ.get("MQTT_PASS")
